package jp.mosp.system.vo;

import jp.mosp.common.CommonConst;
import jp.mosp.common.MosPVo;

public class OptionFunctionMenuVo extends MosPVo {

	private static final long serialVersionUID = 1855708611362378750L;

	// URL
	private static final String RETURN_URL = "/jsp/system/optionFunctionMenu.jsp";
	private static final String EXTRA_JS   = "/pub/system/js/optionFunctionMenu.js";
	private static final String EXTRA_CSS  = "/pub/system/css/optionFunctionMenu.css";

	// 画面サブタイトル	
	public final String TTL_OPION_FUNCTION_MENU = CommonConst.TTL_OPION_FUNCTION_MENU;

	// フィールド
	private String[][] aryOptionFunctionMenu ;

	/**
	 * コンストラクタ
	 */
	public OptionFunctionMenuVo() {
		super();
		setRetUrl(RETURN_URL);
		setExtraCss(EXTRA_CSS);
		addExtraJs(EXTRA_JS);
		aryOptionFunctionMenu 	= new String[0][0];
	}

	/**
	 * フィールド設定
	 * @param String[][] 
	 * @throws MospException
	 */
	public void setFields(String [][] aryOptionMenu) {
		aryOptionFunctionMenu = escapeArray(aryOptionMenu.clone());
	}

	/**
	 * JavaScript設定
	 * @param cls 情報取得クラス
	 * @throws IllegalAccessException
	 */
	@Override
	public String getDirectJs(Class cls) throws IllegalAccessException {
		StringBuffer sb = new StringBuffer();
		sb.append(super.getDirectJs(cls));
		return sb.toString();
	}

	public String[][]	getEscAryOptionFunctionMenu	() { return aryOptionFunctionMenu.clone()	; }

}
